​

Retrieve blockers cards list on current user

GET
https://example.kaiten.ru/api/latest/users/current/blockers

Starting from 2026-11-01, this route uses a default and maximum limit of 100 and validates limit and offset. Before this date, pagination parameters are ignored and the full list is returned.

Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
limitintegerMaximum number of records to return. Default: 100. Max: 100
offsetintegerNumber of records to skip. Default: 0
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
id

integer

Blocker ID
uid

string

Blocker UID
block_created

integer

Block creation time, Unix timestamp in seconds
updated

string

Last update time
released

boolean

Whether the blocker is released
reason

string | null

Block reason
card_id

integer

Blocked card ID
card_title

string

Blocked card title
blocker_card_id

integer | null

Blocking card ID
blocker_card_title

string | null

Blocking card title
blocker_id

integer

User ID who created the blocker
due_date

string | null

Block deadline
due_date_time_present

boolean

Whether the deadline includes a time
users

array of objects

Schema
Users assigned to the blocker
categories

array of objects

Schema
Block categories
400
DescriptionResponse typeExample
Invalid pagination parametersObjectResponse body does not exist

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Invalid tokenString
Open
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/users/current/blockers' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!